Update a specific Retrospective Template by id
curl --request PUT \
--url https://api.rootly.com/v1/post_mortem_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "post_mortem_templates",
"attributes": {
"name": "<string>",
"default": true,
"content": "<string>",
"format": "html"
}
}
}
'{
"data": {
"id": "<string>",
"type": "post_mortem_templates",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"default": true,
"content": "<string>",
"content_html": "<string>",
"content_json": {},
"format": "html"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
Retrospective Template updated with sanitized content
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/post_mortem_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "post_mortem_templates",
"attributes": {
"name": "<string>",
"default": true,
"content": "<string>",
"format": "html"
}
}
}
'{
"data": {
"id": "<string>",
"type": "post_mortem_templates",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"default": true,
"content": "<string>",
"content_html": "<string>",
"content_json": {},
"format": "html"
}
}
}